# User manual

Welcome to LogarithmPlotter's user manual. Here, we'll cover most features of LogarithmPlotter and how to use them.


[Online version](https://git.ad5001.eu/Ad5001/LogarithmPlotter/wiki/User-Manual)

<span id="User-Manual%3A-Chapter-0"></span>
## Introduction: How LogarithmPlotter works
LogarithmPlotter is a software to create plots and graphs with a [logarithmic scale](https://en.wikipedia.org/wiki/Logarithmic_scale), the most well known kind being [Bode plots](https://en.wikipedia.org/wiki/Bode_plot), which LogarithmPlotter helps create in asymptotic form. While logarithmic scales in the primary interest of LogarithmPlotter, LogarithmPlotter also supports non logarithmic scales, which may be required to use certain features.


To do that, LogarithmPlotter uses a system called Objects, which may seem familiar to you if you have used other plotting software like [Geogebra](https://geogebra.org).

An "object" is anything that can be reprensented on the graph. LogarithmPlotter allows you to create 9 types of objects:
<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Type</th>
            <th>Works well in logarithmic scale</th>
            <th>Works well in non logarithmic scale</th>
            <th><a href="#User-Manual%3A-Chapter-3">Allows pointer positioning</a></th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Point.svg" alt="point symbol"></td>
            <td>Points</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Text.svg" alt="text symbol"></td>
            <td>Texts</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td>Used as additional labels if necessary</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Function.svg" alt="function symbol"></td>
            <td>Functions</td>
            <td>✓</td>
            <td>✓</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Gain%20Bode.svg" alt="bode magnitude symbol"></td>
            <td>Bode Magnitudes</td>
            <td>✓</td>
            <td>X</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Phase%20Bode.svg" alt="bode phase symbol"></td>
            <td>Bode Phases</td>
            <td>✓</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/X%20Cursor.svg" alt="x cursor symbol"></td>
            <td>X Cursors</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td>Cursors on the x-axis</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Sequence.svg" alt="sequence symbol"></td>
            <td>Sequences</td>
            <td>X</td>
            <td>✓</td>
            <td>X</td>
            <td>There are several performance issues on the logarithmic scale related to having to calculate far to many values.<br>You should use functions defined on N as a substitute if possible.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Repartition.svg" alt="distribution symbol"></td>
            <td>Distributions</td>
            <td>✓</td>
            <td>✓</td>
            <td>X</td>
            <td></td>
        </tr>
    </tbody>
</table>

LogarithmPlotter will also create it's own objects automaticly when needed (for example, the sums of the bode gains and phases).

<span id="User-Manual%3A-Chapter-1"></span>
## The Interface
### First start
![Image of the first start screen of LogarithmPlotter](https://apps.ad5001.eu/img/en/logarithmplotter/welcome.png)

When LogarithmPlotter starts for the first time or when it's been updated, you will be greeted by a screen similar to this one. It allows you to see the changelog, as well as configure the global options of LogarithmPlotter.

- "Check for updates on startup" does exactly what it sounds like. If enabled, LogarithmPlotter will check if a new version has been released everytime it starts up.
- "Reset redo start when a new action is added to history": if disabled, if you go to a previous section of the [history](#history-tab) and make a change, the more recent changes in the redo section won't be overwritten.

Note that all of those settings can be changed at any moment from the "Settings" menu at the top of the window.


### Overview of the main interface
![Image of the main interface of LogarithmPlotter](https://apps.ad5001.eu/img/en/logarithmplotter/empty.png)
The main interface of LogarithmPlotter is divided into 2 sections, the side bar on the left, and the graph on the right.    
The sidebar allows you to modify the diagram and interact with objects while the graph is where you see your changes and objects applied.

The sidebar is composed of 3 tabs: Objects, Settings and History each of which will be explained in sections below.

### Objects tab
![Image of the objects tab in an example graph](https://apps.ad5001.eu/img/en/logarithmplotter/objects.webp)

The Object tab allows you to interact, create and delete with the objects of the graph.   
It is composed of two parts, the objects lists, and the object creation grid.    

To create an object, you can click one of the buttons at the bottom of the tab, and it will open a [object property editor](#User-Manual%3A-Chapter-2) for that object.

You can reopen it at any time by clicking on the row associated with the object you want to edit.

On that row, you can:
- Show or hide the object, by clicking the □ checkbox at the beginning.
- (On objects that can be repositionned) Reposition the object by clicking on the ![position](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg) button.
- Delete the object using the ![trash](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/delete.svg) button.
- Change the color of the object by clicking on the colored circle at the end of the line.

### Settings tab
![Image of the settings tab](https://apps.ad5001.eu/img/en/logarithmplotter/settings.webp)

The Settings tab allows you to change how the diagram looks, and parameter the axes properly. It also features a few buttons you can also find in the menu bar.

List of settings:
<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Name</th>
            <th>Default value</th>
            <th>Definition</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xzoom.svg" alt="X Zoom icon"></td>
            <td>X Zoom</td>
            <td>100</td>
            <td>
                The zoom alongside the x-axis.
                <ul>
                    <li>For non logarithmic scales, the number of pixels for a unit of 1.</li>
                    <li>For logarithmic scales, represent one decade divided by 2.3.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/yzoom.svg" alt="Y Zoom icon"></td>
            <td>Y Zoom</td>
            <td>10</td>
            <td>
                The zoom alongside the ordinate, equivalent to the number of pixels for a unit of 1.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xmin.svg" alt="Minimum X icon"></td>
            <td>Min X</td>
            <td>0.5</td>
            <td>
                Minimum value to be drawn on the x-axis. In other words, it's the value of x on the left side of the graph.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ymax.svg" alt="Maximum Y icon"></td>
            <td>Max Y</td>
            <td>25</td>
            <td>
                Maximum value to be drawn on the y-axis. In other words, it's the value of y at the bottom of the graph.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xmax.svg" alt="Maximum X icon"></td>
            <td>Max X</td>
            <td>Variable</td>
            <td>
                Minimum value to be drawn on the x-axis. In other words, it's the value of x on the right side of the graph.
                <ul>
                    <li>This value is dynamic depending on the width of the LogarithmPlotter window as well as the x zoom you've chosen.</li>
                    <li>Setting this value will change the value of the x zoom to fit exactly to the specified dimensions.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ymin.svg" alt="Minimum Y icon"></td>
            <td>Min Y</td>
            <td>Variable</td>
            <td>
                Minimum value to be drawn on the y-axis. In other words, it's the value of y at the top of the graph.
                <ul>
                    <li>This value is dynamic depending on the height of the LogarithmPlotter window as well as the y zoom you've chosen.</li>
                    <li>Setting this value will change the value of the y zoom to fit exactly to the specified dimensions.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xaxisstep.svg" alt="X Axis Step icon"></td>
            <td>X Axis Step</td>
            <td>4</td>
            <td>
                Step of the graduation for the x-axis.
                <ul>
                    <li>Only for non logarithmic scale.</li>
                    <li>This value is an expression, you can use pi or e in it.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/yaxisstep.svg" alt="Y Axis Step icon"></td>
            <td>Y Axis Step</td>
            <td>4</td>
            <td>
                Step of the graduation for the y-axis.
                <ul>
                    <li>This value is an expression, you can use pi or e in it.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/linewidth.svg" alt="Line width icon"></td>
            <td>Line width</td>
            <td>1</td>
            <td>
                Width (percentage) of the the lines and circles of objects shown on the graph.
                <ul>
                    <li>For lines, it's directly the width of the line.</li>
                    <li>For circles, the diameters are 8 + 2 × line width.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/textsize.svg" alt="Text size icon"></td>
            <td>Text size (px)</td>
            <td>14</td>
            <td>
                Size in pixel of the text shown on the graph.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xlabel.svg" alt="X Label icon"></td>
            <td>X Label</td>
            <td>Empty</td>
            <td>
                Label to be used on the x-axis.
                <ul>
                    <li>Example: "x", "ω (rad/s)"...</li>
                    <li>Editable, you can put any value you want, while maintaining an history of the previously used labels.</li>
                    <li>Note: this history is not saved with the file.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ylabel.svg" alt="Y Label icon"></td>
            <td>Y Label</td>
            <td>Empty</td>
            <td>
                Label to be used on the y-axis.
                <ul>
                    <li>Example: "y", "Magnitude (dB)", "φ (°)", "φ (rad)", "φ (deg)"...</li>
                    <li>Editable, you can put any value you want, while maintaining an history of the previously used labels.</li>
                    <li>Note: this history is not saved with the file.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td></td>
            <td>X Log Scale</td>
            <td>✓</td>
            <td>
                When checked, the x-axis is represented with a logarithmic scale, otherwise, it's represented with a non logarithmic scale.
            </td>
        </tr>
        <tr>
            <td></td>
            <td>Show X graduation</td>
            <td>✓</td>
            <td>
                When checked, will show the labels alongside the x-axis (10¹, 10², ... or 4, 8, ...). Otherwise, they will be hidden.
            </td>
        </tr>
        <tr>
            <td></td>
            <td>Show Y graduation</td>
            <td>✓</td>
            <td>
                When checked, will show the labels alongside the y-axis (0, 4, ...). Otherwise, they will be hidden.
            </td>
        </tr>
    </tbody>
</table>

List of the buttons:
- Copy to clipboard:
    - Copies an image of the graph to the clipboard.
- Save plot:
    - Saves the plot in the currently opened file, or prompts you to pick a location if non are open...
- Save plot as:
    - Prompts you to choose a location to save the plot at, and saves it.
- Load plot/Open plot:
    - Prompts you to choose an existing LogarithmPlotter diagram file and opens it in the current window.
    - **IMPORTANT**: All unsaved changes to the previous diagram WILL BE LOST if you open a new one. 


<span id="history-tab"></span>

### History tab
![Image of the history tab](https://apps.ad5001.eu/img/en/logarithmplotter/history.webp)

The history tab allows you to see the historical progression of graph broken down in "actions" pretaining to objects. The list in itself is read from top to bottom, from most recent to most ancient.

The "Now" represents the point in history in which the graph is.

Any action that happened before now are in the "Undo" section of the history, under the "Now". Similarly, the actions that happened after the now are in the "Redo" scection, above the "Now".

**Note**: You can hover the actions with your mouse to see more details about them.

If you want to undo/redo any action, click on it and it will undo/redo it after undoing/redoing the action in between them and the now. 

There exists 7 types of actions:


<table>
    <thead>
        <tr>
            <th>Symbol</th>
            <th>Type</th>
            <th>Occurance</th>
            <th>Color (Light|Dark theme)</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/create.svg" alt="plus sign"></td>
            <td>Object creation</td>
            <td>When a new object is created</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=lime&c2=green" alt="lime/green"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/delete.svg" alt="cross sign"></td>
            <td>Object deletion</td>
            <td>When an existing object is deletion</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=salmon&c2=darkred" alt="salmon/dark red"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/visibility.svg" alt="Eye sign"></td>
            <td>Show/hide object</td>
            <td>When an object's is shown or hidden</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=whitesmoke&c2=darkgray" alt="whitesmoke|darkgray">, <img src="https://api.ad5001.eu/svg/colors/?c1=lightgray&c2=dimgray" alt="light gray/dim gray"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/modify.svg" alt="Double arrow sign"></td>
            <td>Modify object</td>
            <td>When an object's property is changed</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=cyan&c2=darkslateblue" alt="cyan/dark slate blue"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="Label sign"></td>
            <td>Rename object</td>
            <td>When an object's name is changed</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=orange&c2=darkorange" alt="orange/dark orange"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Appearance sign"></td>
            <td>Coloring the object</td>
            <td>When an object's color is changed</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=plum&c2=purple" alt="plum/purple"></td>
        </tr>
    </tbody>
</table>

You can also filter the actions of the history by using the "Filter..." search bar.


**Note**: The changes in the settings tab are not kept in the history tab. This feature may come to a future version of LogarithmPlotter.


<span id="User-Manual%3A-Chapter-2"></span>
## Editing object properties
### Introduction
Each object (as seen in chapter 0) has properties, which are the core of the customisability of objects. There exists many different kind of properties for different things, like naming objects, the position of points, the expression and domains of functions...

When creating an object, or when clicking on it on the object list, you open the Object Property Editor dialog.

<p align="center">
    
![Image of the Object Property Editor dialog](https://apps.ad5001.eu/img/en/logarithmplotter/object-settings.webp)

*Example dialog for a distribution* 

</p>

This dialog contains all of the properties of the object that can be modified. Each property is updated in real time. You can drag the dialog away to see the consequences of your changes on the graph.

That dialog can be closed by either closing the window or clicking the "OK" button. Both these options save all changes done.

### Type of properties
There exists a lot of properties, but each of them are separated in different kinds.

<table>
    <thead>
        <tr>
            <th>Type</th>
            <th>Editor</th>
            <th>Example(s)</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Strings</td>
            <td>Inline text input</td>
            <td>Object name</td>
            <td>At the end of the input, the little "α" button allows to enter symbols (greek letters, and indices or supscripts letters and numbers).</td>
        </tr>
        <tr>
            <td>Numbers (integers and decimals)</td>
            <td>Inline text input</td>
            <td>Label position</td>
            <td>All inputs other than digits, one optional minus at the start and a dot in the middle are forbidden.</td>
        </tr>
        <tr>
            <td>Expressions</td>
            <td>Inline text input</td>
            <td>Point position, function expression</td>
            <td>Like strings, they have the symbol character input dialog. You can use values like e or pi (can also be noted π) in it.</td>
        </tr>
        <tr>
            <td>Domains & ranges (sets)</td>
            <td>Inline text input</td>
            <td>Function domain and range</td>
            <td>Use symbolic expressions (e.g R+* will translate to ℝ⁺*, the strictly positive integer set), ranges (e.g ]0;1[) or even sets (e.g {0;3;4}).</td>
        </tr>
        <tr>
            <td>Booleans (true or false)</td>
            <td>Checkbox</td>
            <td>Show graduation on ω<sub>0</sub> for Bode Magnitude</td>
            <td></td>
        </tr>
        <tr>
            <td>Enumerations (set of predefined values)</td>
            <td>Combo box</td>
            <td>Label position and content, point style, bode pass</td>
            <td></td>
        </tr>
        <tr>
            <td>Other objects</td>
            <td>Combo box</td>
            <td>Bode's ω<sub>0</sub>, X Cursor's target objects.</td>
            <td>Contains a list of all objects created in required type, and allows to create a new one if needed. X Cursor target object is an exception as it can target several different types of objects.</td>
        </tr>
        <tr>
            <td>Lists (lists of values)</td>
            <td>List of inline text inputs</td>
            <td>Unused at the moment</td>
            <td>Sometimes allows the creation of values, at other the number of values is constant.</td>
        </tr>
        <tr>
            <td>Dictionaries (list of values associated with another value)</td>
            <td>List of lines having two text inputs separated by text</td>
            <td>Sequence expression and default values, distribution default values</td>
            <td>Sometimes allows the creation of values, at other the number of values is constant.</td>
        </tr>
    </tbody>
</table>

There can also be comments and notes in between properties to explain the specialities of certain non intuitive properties.

### Object properties
The following section is a reference for all object properties. It's currently up to date with LogarithmPlotter v0.1.8.

Reference:

- [All objects](#for-all-objects)
- [Points](#points)
- [Texts](#texts)
- [Functions](#functions)
- [Bode magnitudes](#bode-magnitudes)
- [Bode magnitudes sum](#bode-magnitudes-sum)
- [Bode phases](#bode-phases)
- [Bode phases sum](#bode-phases-sum)
- [X Cursors](#x-cursors)
- [Sequences](#sequences)
- [Distributions](#distributions)

#### For all objects

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="label icon"></td>
            <td>Name</td>
            <td>string</td>
            <td>It must not be the same for two objects.</td>
            <td>This value represents the object.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="label icon"></td>
            <td>Label content</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>null: No label</li>
                    <li>name: Name of the object</li>
                    <li>name + value: Name of the object and it's value (generally in "name = value")</li>
                </ul>
            </td>
            <td>It's generally used with a positioning property (Label position or Label's X position).</td>
        </tr>
    </tbody>
</table>


<span id="points"></span>

#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Point.svg) Points

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Default: 1</td>
            <td>Position of the point on the x-axis.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Y</td>
            <td>Expression</td>
            <td>Default: 0</td>
            <td>Position of the point on the y-axis.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="All direction icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↑ Above
            </td>
            <td>Position of the label relative to the point.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Appearance icon"></td>
            <td>Point style</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>●</li>
                    <li>✕</li>
                    <li>＋</li>
                </ul>
                Default: ●
            </td>
            <td>Visual style of the point representation.</td>
        </tr>
    </tbody>
</table>


<span id="texts"></span>

#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Text.svg) Texts

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Default: 1</td>
            <td>Position of the text on the x-axis.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Y</td>
            <td>Expression</td>
            <td>Default: 0</td>
            <td>Position of the text on the y-axis.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="All direction icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>>|< Center</li>
                    <li>↑ Top</li>
                    <li>↓ Bottom</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Top left</li>
                    <li>↗ Top right</li>
                    <li>↙ Bottom left</li>
                    <li>↘ Bottom right</li>
                </ul>
                Default: >|< Center
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="Label icon"></td>
            <td>Content</td>
            <td>string</td>
            <td>Default: New text</td>
            <td>Content of the text item.</td>
        </tr>
    </tbody>
</table>


<span id="functions"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Function.svg) Functions

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Expression.svg" alt="Expression icon"></td>
            <td>Expression</td>
            <td>Expression</td>
            <td>Default: x</td>
            <td>Expression of the function (depending on variable <i>x</i>).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Definition%20Domain.svg" alt="Domain icon"></td>
            <td>Domain</td>
            <td>Domain</td>
            <td>Default: ℝ⁺*</td>
            <td>Domain (definition range) of the function.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Destination%20Domain.svg" alt="Range icon"></td>
            <td>Range</td>
            <td>Domain</td>
            <td>Default: ℝ</td>
            <td>Range (destination range) of the function.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↑ Above
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Appearance icon"></td>
            <td>Display mode</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>
                        Application:<br>
                        <table>
                            <tr>
                                <td>name:</td>
                                <td>domain</td>
                                <td>↦</td>
                                <td>range</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>x</td>
                                <td>→</td>
                                <td>expression</td>
                            </tr>
                       </table>
                    </li>
                    <li>
                        Function:<br>
                        name(x) = expression
                    </li>
                </ul>
                Default: Application
            </td>
            <td>Display style of the function's label.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the function based on the specified x-axis position and it's corresponding y-axis of the function.</td>
        </tr>
        <tr>
            <td></td>
            <td>Show points</td>
            <td>boolean</td>
            <td>True or false<br>
                Default: true</td>
            <td>When using a non continous domain (for example ℕ, ℤ, sets like {0;3}) the function can be displayed using points at the points where the function is defined. Unticking this hides the points.</td>
        </tr>
        <tr>
            <td></td>
            <td>Show dashed lines</td>
            <td>boolean</td>
            <td>True or false<br>
                Default: true</td>
            <td>When using a non continous domain (for example ℕ, ℤ, sets like {0;3}) the function can be displayed dashed lines between at the points where the function is defined. Unticking this hides the dashed lines.</td>
        </tr>
    </tbody>
</table>


<span id="bode-magnitudes"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Gain%20Bode.svg) Bode Magnitude

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>ω<sub>0</sub></td>
            <td>Point</td>
            <td>By default, a newly created point prefixed by ω in (1,0).</td>
            <td>Used as the base for the beginning/end of the transitional side of the bode magnitude as well.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Pass.svg" alt="Bode pass icon"></td>
            <td>Pass</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>High</li>
                    <li>Low</li>
                </ul>
                Default: High
            </td>
            <td>Type of bode magnitude pass used for this this object.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Gain.svg" alt="Gain icon"></td>
            <td>Gain</td>
            <td>Expression</td>
            <td>
                Default: 20
            </td>
            <td>Amount of decibels per decade used for the bode gain (should be positive for high pass, and negative for low pass).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↓ Below
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the function based on the specified x-axis position and it's corresponding y-axis on the function.</td>
        </tr>
        <tr>
            <td></td>
            <td>Show graduation on ω<sub>0</sub></td>
            <td>boolean</td>
            <td>True or false<br>
                Default: false</td>
            <td>When ticked, will show a vertical dashed line on top of the assigned ω<sub>0</sub>.</td>
        </tr>
    </tbody>
</table>

<span id="bode-magnitudes-sum"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Somme%20gains%20Bode.svg) Bode Magnitudes Sum

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↑ Above
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the bode magnitude based on the specified x-axis position and it's corresponding y-axis of the bode magnitude.</td>
        </tr>
    </tbody>
</table>

<span id="bode-phases"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Phase%20Bode.svg) Bode Phases

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>ω<sub>0</sub></td>
            <td>Point</td>
            <td>By default, a newly created point prefixed by ω in (1,0).</td>
            <td>Used as the base for the beginning/end of the transitional side of the bode phase as well.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>Phase</td>
            <td>Expression</td>
            <td>
                Default: 90
            </td>
            <td>Amount of phase (defined in the unit below) used for the bode phase.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>Unit to use</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>°</li>
                    <li>deg</li>
                    <li>rad</li>
                </ul>
                Default: °
            </td>
            <td>Unit of the phase to be used (used for display).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↓ Below
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the function based on the specified x-axis position and it's corresponding y-axis on the function.</td>
        </tr>
    </tbody>
</table>


<span id="bode-phases-sum"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Somme%20phases%20Bode.svg) Bode Phases Sum

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ↑ Above
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the bode phase based on the specified x-axis position and it's corresponding y-axis of the bode phase.</td>
        </tr>
    </tbody>
</table>

<span id="x-cursors"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/X%20Cursor.svg) X Cursors

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Default: 1</td>
            <td>Position of the cursor on the x-axis.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/target.svg" alt="Target icon"></td>
            <td>Object to target</td>
            <td>Executable object*</td>
            <td>Default: no object is selected.</td>
            <td>
                Target object of which to show the value of through the X Cursor.<br>
                *Executable objects are objects which take values all along the x-axis with a corresponding y-axis value. Functions, bode magnitudes and phases, sequences and distributions qualify as such.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ← Left
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td></td>
            <td>Show approximate value</td>
            <td>boolean</td>
            <td>True or false<br>
                Default: true</td>
            <td>When ticked, will show an approximate version of the value of the targeted object at a the given x next to the value of the simplified expression.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Rounding.svg" alt="Rounding icon"></td>
            <td>Rounding</td>
            <td>number</td>
            <td>Default: 3</td>
            <td>Rounding of the approximate value.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Display style</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li><s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s></li>
                    <li><s>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</s></li>
                    <li>• • •</li>
                </ul>
                Default: <s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>
            </td>
            <td>Style of the vertical bar of the cursor.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Target's value position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>Next to target</li>
                    <li>With label</li>
                    <li>Hidden</li>
                </ul>
                Default: Next to target
            </td>
            <td>Position of the target's value on the x cursor. When using "Next to target", it will be at the intersection between the target and the cursor vertical bar, while "With label" puts it just below the name of the cursor and it's position.</td>
        </tr>
    </tbody>
</table>

<span id="sequences"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Sequence.svg) Sequences

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td></td>
            <td>Show points</td>
            <td>boolean</td>
            <td>True or false<br>
                Default: true</td>
            <td>Sequences are be displayed using points at each integer the points where the sequence is defined. Unticking this hides the points.</td>
        </tr>
        <tr>
            <td></td>
            <td>Show dashed lines</td>
            <td>boolean</td>
            <td>True or false<br>
                Default: true</td>
            <td>Sequences are displayed dashed lines between at the points where the sequence is defined. Unticking this hides the dashed lines.</td>
        </tr>
        <tr>
            <td></td>
            <td>Default expression</td>
            <td>Dictionary (fixed length at 1, key is a number, value an expression)</td>
            <td>var[n+k] = expression<br>
                Default:<br>var=u, k=1, expression=n<br>u[n+1] = n</td>
            <td>Note: The expression is being defined through the <i>n</i> variable. You can use the array-syntax to access previous value. For example, for the variable u, you can define <i>u</i>[<i>n</i>+1] depending on <i>u</i>[<i>n</i>] or <i>u</i>[<i>n</i>+2] depending on <i>u</i>[<i>n</i>] and <i>u</i>[<i>n</i>+1] for recursive definition.</td>
        </tr>
        <tr>
            <td></td>
            <td>Initialisation values</td>
            <td>Dictionary (key is a number, value an expression</td>
            <td>var[k] = expr<br>
                Default:<br>var=u, k=0, expr=1<br>u[0] = 1</td>
            <td>Note: You need as many initialisation values (which can be added through the "Add entry button" and removed with the trash buttons) as <i>k</i>.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ← Left
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the sequence based on the specified x-axis position (integer) and it's corresponding y-axis of the sequence.</td>
        </tr>
    </tbody>
</table>

<span id="distributions"></span>
#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Repartition.svg) Distributions

<table>
    <thead>
        <tr>
            <th>Icon</th>
            <th>Property</th>
            <th>Type</th>
            <th>Value</th>
            <th>Comment</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Label position</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Above</li>
                    <li>↓ Below</li>
                    <li>← Left</li>
                    <li>→ Right</li>
                    <li>↖ Above left</li>
                    <li>↗ Above right</li>
                    <li>↙ Below left</li>
                    <li>↘ Below right</li>
                </ul>
                Default: ← Left
            </td>
            <td>Position of the label relative to the position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Label's X position</td>
            <td>number</td>
            <td>Default: 1</td>
            <td>Base position for the label of the distribution based on the specified x-axis position and it's corresponding y-axis of the distribution.</td>
        </tr>
        <tr>
            <td></td>
            <td>Probabilities list</td>
            <td>Dictionary (key is a number, value an number)</td>
            <td>P(var=k) = value<br>
                Default:<br>var=X, k=0, expr=1<br>P(X=0) = 0</td>
            <td>Note: You need as many probabilities as needed (which can be added through the "Add entry button" and removed with the trash buttons) as <i>k</i>. The displayed graph will be the distribution function.</td>
        </tr>
    </tbody>
</table>


<span id="User-Manual%3A-Chapter-3"></span>
## Positioning objects
Several objects that rely on position can be placed on the graph with your mouse using the "Positioning" interface. This interface can be accessed using the ![Position icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg) button that can be seen on certain object rows.

List of supported objects:

- Points
- Texts
- X Cursors¹

![Pointer interface screenshot](https://apps.ad5001.eu/img/en/logarithmplotter/pointer.png)

Click on the desired location to apply it to the selected object.

¹ Note: X Cursor only allow for X positioning so you will only see the vertical bar associated with it.

### Settings
There are two settings available on the interface:

The "Pointer precision" setting allow you to set the amount of digits of precision of the cursor. For example, a pointer with a precision digit of `2` will round all pointed position to `2` digits after the decimal point. Setting a precision to `0` will tound all positions to integers.

The "Snap to grid" checkbox rounds the selected position to the nearest intersection of the grid. It's useful for logarithmic scales when you want to quicly select a rounded logarithmic location at a few hundreds or thousands.

